#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-SMkUoxtBOW1FJQHzIQjii
key:                  hOpenPGP-2.9.5-SMkUoxtBOW1FJQHzIQjii
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  e2b713a3eefc0a4c758d65646520f7aa
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-SMkUoxtBOW1FJQHzIQjii
depends:
    aeson-1.5.6.0-Er8hVcKeB6UIjaphu3gpm9
    asn1-encoding-0.9.6-HkWNCAq10Pd6yRbb8dFVgv
    attoparsec-0.14.1-Dlm5EB3n5xmG4Iku2w73OX base-4.14.1.0
    base16-bytestring-1.0.1.0-Hbpe1ak8aStK9x7dEuqbKO
    bifunctors-5.5.11-amoo6HiGEvKqsu6q1Vcox binary-0.8.8.0
    binary-conduit-1.3.1-LKAg9lnegTE5PIF8qI6Gxt bytestring-0.10.12.0
    bz2-1.0.1.0-JuWIWNOfDIO7xaswUP1PgD
    conduit-1.3.4.1-LfHDYs4bYclAqHNTbiVQUG
    conduit-extra-1.3.5-2SGPCMs8x9ABUQ7QL4UG7D containers-0.6.2.1
    crypto-cipher-types-0.0.9-BBOS1ZnOyUYHyEfGot6pI9
    cryptonite-0.29-1OZ7ffXvT3L6hDppZ5ZRsc
    errors-2.3.0-1jMMqiGok7nGSgO7igf65q
    hashable-1.3.1.0-4EsGp1K7uOu2cACWuCidz3
    incremental-parser-0.5.0.2-3uvpFA8XunqJ0h9dPA8INi
    ixset-typed-0.5-4rbUGUd4V0j3NJV6Q99ftF
    lens-5.0.1-CBT5lWNfoCXBtiUXpjba85
    memory-0.16.0-FcR25XxjAGsCy9iFRDcpya
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-FEzBEkduDhOJEjFGTjgzwu
    network-uri-2.6.4.1-7oiLAsSXZ3KCi5cxTymWsf
    openpgp-asciiarmor-0.1.2-IyWhRUXs7m4Ei8vxb8Zam2
    prettyprinter-1.7.0-FiIgv3URa3GGgDYS0hSMWN
    resourcet-1.2.4.2-3jAx8AHlhhkNlNP8Id6k7
    split-0.2.3.4-Fbhqz8dwMSG8Yu1m4vMdxS text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.13.0-4AoMTstniRpGNa4LW5BINH
    zlib-0.6.2.3-LdUhJ0dqOLy6FRZ8xy54Np

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

